<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html>
<head>
<link rel="STYLESHEET" href="mailman-install.css" type='text/css' />
<link rel="first" href="mailman-install.html" title='GNU mailman - installation Manual' />
<link rel='last' href='about.html' title='About this document...' />
<link rel='help' href='about.html' title='About this document...' />
<link rel="next" href="customizing.html" />
<link rel="prev" href="node10.html" />
<link rel="parent" href="front.html" />
<link rel="next" href="node12.html" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name='aesop' content='information' />
<title>6 Set up your mail server</title>
</head>
<body>
<div class="navigation">
<div id='top-navigation-panel' xml:id='top-navigation-panel'>
<table align="center" width="100%" cellpadding="0" cellspacing="2">
<tr>
<td class='online-navigation'><a rel="prev" title="5 set up your"
  href="node10.html"><img src='previous.png'
  border='0' height='32'  alt='Previous Page' width='32' /></a></td>
<td class='online-navigation'><a rel="parent" title="Front Matter"
  href="front.html"><img src='up.png'
  border='0' height='32'  alt='Up one Level' width='32' /></a></td>
<td class='online-navigation'><a rel="next" title="6.1 using the Postfix"
  href="node12.html"><img src='next.png'
  border='0' height='32'  alt='Next Page' width='32' /></a></td>
<td align="center" width="100%">GNU Mailman - Installation Manual</td>
<td class='online-navigation'><img src='blank.png'
  border='0' height='32'  alt='' width='32' /></td>
<td class='online-navigation'><img src='blank.png'
  border='0' height='32'  alt='' width='32' /></td>
<td class='online-navigation'><img src='blank.png'
  border='0' height='32'  alt='' width='32' /></td>
</tr></table>
<div class='online-navigation'>
<b class="navlabel">Previous:</b>
<a class="sectref" rel="prev" href="node10.html">5 Set up your</a>
<b class="navlabel">Up:</b>
<a class="sectref" rel="parent" href="front.html">Front Matter</a>
<b class="navlabel">Next:</b>
<a class="sectref" rel="next" href="node12.html">6.1 Using the Postfix</a>
</div>
<hr /></div>
</div>
<!--End of Navigation Panel-->

<h1><a name="SECTION001600000000000000000"></a><a name="mail-server"></a>
<br>
6 Set up your mail server
</h1>

<p>
This section describes some of the things you need to do to connect Mailman's
email interface to your mail server.  The instructions here are different for
each mail server; if your mail server is not described in the following
subsections, try to generalize from the existing documentation, and consider
contributing documentation updates to the Mailman developers.

<p>
<div class="Note"><b class="label"></b>

Under rare circumstances or due to mis-configuration, mail to the owner(s) of
the 'mailman' site-list (see section <a href="site-list.html#site-list">8</a>) can bounce. In order to
prevent a mail loop this mail is sent with envelope from mailman-loop which
is normally aliased as

<p>
<div class="verbatim"><pre>
    mailman-loop: $varprefix/data/owner-bounces.mbox
</pre></div>
but which can be aliased to any, always deliverable, local address or file.
If you are using the Postfix MTA integrated as described in section
<a href="postfix-integration.html#postfix-integration">6.1</a>, this alias will be generated automatically. In
all other cases, you should install this alias along with your normal system
aliases.
</div>

<p>

<p><br /></p><hr class='online-navigation' />
<div class='online-navigation'>
<!--Table of Child-Links-->
<a name="CHILD_LINKS"><strong>Subsections</strong></a>

<ul class="ChildLinks">
<li><a href="node12.html">6.1 Using the Postfix mail server</a>
<ul>
<li><a href="postfix-integration.html">6.1.1 Integrating Postfix and Mailman</a>
<li><a href="postfix-virtual.html">6.1.2 Virtual domains</a>
<li><a href="node15.html">6.1.3 An alternative approach</a>
</ul>
<li><a href="node16.html">6.2 Using the Exim mail server</a>
<ul>
<li><a href="node17.html">6.2.1 Exim configuration</a>
<li><a href="node18.html">6.2.2 Main configuration settings</a>
<li><a href="exim3-transport.html">6.2.3 Transport for Exim 3</a>
<li><a href="node20.html">6.2.4 Director for Exim 3</a>
<li><a href="node21.html">6.2.5 Router for Exim 4</a>
<li><a href="node22.html">6.2.6 Transports for Exim 4</a>
<li><a href="node23.html">6.2.7 Additional notes</a>
<li><a href="node24.html">6.2.8 Problems</a>
<li><a href="node25.html">6.2.9 Receiver Verification</a>
<li><a href="node26.html">6.2.10 SMTP Callback</a>
<li><a href="node27.html">6.2.11 Doing VERP with Exim and Mailman</a>
<li><a href="node28.html">6.2.12 Virtual Domains</a>
<li><a href="node29.html">6.2.13 List Verification</a>
<li><a href="node30.html">6.2.14 Document History</a>
</ul>
<li><a href="node31.html">6.3 Using the Sendmail mail server</a>
<ul>
<li><a href="node32.html">6.3.1 Sendmail ``smrsh'' compatibility</a>
<li><a href="node33.html">6.3.2 Integrating Sendmail and Mailman</a>
<li><a href="node34.html">6.3.3 Performance notes</a>
</ul>
<li><a href="qmail-issues.html">6.4 Using the Qmail mail server</a>
<ul>
<li><a href="node36.html">6.4.1 Information on VERP</a>
<li><a href="node37.html">6.4.2 Virtual mail server</a>
<li><a href="node38.html">6.4.3 More information</a>
</ul></ul>
<!--End of Table of Child-Links-->
</div>

<div class="navigation">
<div class='online-navigation'>
<p></p><hr />
<table align="center" width="100%" cellpadding="0" cellspacing="2">
<tr>
<td class='online-navigation'><a rel="prev" title="5 set up your"
  href="node10.html"><img src='previous.png'
  border='0' height='32'  alt='Previous Page' width='32' /></a></td>
<td class='online-navigation'><a rel="parent" title="Front Matter"
  href="front.html"><img src='up.png'
  border='0' height='32'  alt='Up one Level' width='32' /></a></td>
<td class='online-navigation'><a rel="next" title="6.1 using the Postfix"
  href="node12.html"><img src='next.png'
  border='0' height='32'  alt='Next Page' width='32' /></a></td>
<td align="center" width="100%">GNU Mailman - Installation Manual</td>
<td class='online-navigation'><img src='blank.png'
  border='0' height='32'  alt='' width='32' /></td>
<td class='online-navigation'><img src='blank.png'
  border='0' height='32'  alt='' width='32' /></td>
<td class='online-navigation'><img src='blank.png'
  border='0' height='32'  alt='' width='32' /></td>
</tr></table>
<div class='online-navigation'>
<b class="navlabel">Previous:</b>
<a class="sectref" rel="prev" href="node10.html">5 Set up your</a>
<b class="navlabel">Up:</b>
<a class="sectref" rel="parent" href="front.html">Front Matter</a>
<b class="navlabel">Next:</b>
<a class="sectref" rel="next" href="node12.html">6.1 Using the Postfix</a>
</div>
</div>
<hr />
<span class="release-info">Release 2.1, documentation updated on August 26, 2016.</span>
</div>
<!--End of Navigation Panel-->

</body>
</html>
